<?php

use ProxiumWXfrm\Http\Response;
use ProxiumWXfrm\Http\Request;
use ProxiumWXfrm\Proxium\PeticionWS;

function test2(){
    return "adios";
}

function basicTest($datos,$interno=false){

    $respuesta='Basic test ok.';

    if(!$interno) {
        $response=Response::text($respuesta);
    }
    else {
        $response=$respuesta;
    }
    
    return $response;

}

function test($datos,$interno=false){

    $respuesta=array(
        'Respuesta1'=>'aaa',
        'Respuesta2'=>10,
        'Usuario'=>$datos['usuario'],
        'Empresa'=>$datos['empresa']
    );

    if(!$interno) {
        $response=Response::json($respuesta);
    }
    else {
        $response=json_encode($respuesta);
    }

    return $response;

}

function peticionRestBasica($datos,$interno=false){

    grabaLog('----------');
    grabaLog('función peticionRestBasica');

    $peticionFinal=base64_decode($datos['peticion']);

    
    $urlLlamada='/peticion';

    $parametrosLlamada=json_encode(
        array(
            'id'=>$datos['id'],
            'empresa'=>$datos['empresa'],
            'usuario'=>$datos['usuario'],
            'password'=>$datos['password'],
            'metodo'=>$datos['metodo'],
            'peticion'=>$peticionFinal
        )
    );

    grabaLog('----------parametrosLlamada');
    grabaLog($parametrosLlamada);

    $peticion=new PeticionWS($urlLlamada,$parametrosLlamada);

    $resultado=$peticion->lanzaPostRaw(false);

    grabaLog('----------resultado');
    grabaLog($resultado);

    if(!$interno) {
        $response=Response::text($resultado);
    }
    else {
        $response=$resultado;
    }
    
    return $response;


}

function peticionRestBasica2($datos,$interno=false){

    global $configProxy;

    $peticionFinal=base64_decode($datos['peticion']);
    $peticionFinal=$datos['peticion'];
    
    $urlLlamada='/peticion';

    $parametros=array(
        'id'=>$datos['id'],
        'empresa'=>$datos['empresa'],
        'usuario'=>$datos['usuario'],
        'password'=>$datos['password'],
        'metodo'=>'PedirDatos',
        'peticion'=>$peticionFinal
    );

    $parametrosLlamada=json_encode($parametros);

    if(isset($datos['urlServicioCache'])) $urlServicioCache=$datos['urlServicioCache'];
	else $urlServicioCache=NULL;

    $peticion=new PeticionWS($urlLlamada,$parametrosLlamada,true,$urlServicioCache);

    $resultado=$peticion->lanzaPostRaw(false);

    if(!$interno) {
        $response=Response::text($resultado);
    }
    else {
        $response=$resultado;
    }

    return $response;

}



?>